## solid 5.62.0

=== debian/changelog ===
solid (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Backport upstream commit eaa8ed787333f29b08381dcf2ca7269701479d1f to build
    also on architectures without sys/mount.h; patch
    upstream_fstab-include-QThreadStorage-in-all-cases.patch.
  * Pass -DBUILD_DEVICE_BACKEND_hal=OFF to cmake to make sure the hal backend
    is not built (on non-Linux architectures), as hal is long gone in Debian
    - remove patch disable_halbasictest.diff, no more needed now
  * Drop the migration from libkf5solid5-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Sep 2019 09:24:04 +0200

solid (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:19 -0700

solid (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Refresh patches
  * Ignore reprotest build path variations
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:12 +0100
