=== debian/changelog ===
solid (5.64.0-0ubuntu1) focal; urgency=medium

  * Refresh use_shortest_filepath.diff
  * Drop fix-FTBFS-on-mipsel-and-m68k-src-solid-predicate_parser.c.patch
  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:54 +0000

solid (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Remove the 'testsuite' autopkgtest

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 09:06:06 +0000

solid (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:23 +0100
