## solid 5.68.0

=== src/tools/solid-power/CMakeLists.txt ===
add_executable(solid-power main.cpp solid-power.cpp)

ecm_mark_nongui_executable(solid-power)

target_link_libraries(solid-power Qt5::Core KF5::Solid)
install(TARGETS solid-power ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
