=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.71.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
@@ -16,7 +16,7 @@
                qtbase5-dev (>= 5.12.0~),
                qtdeclarative5-dev (>= 5.12.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/solid
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
@@ -40,7 +40,7 @@
 Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5solid-doc (= ${source:Version})
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
