=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.72.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
