## solid 5.76.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.64.0") # handled by release scripts
+set(KF5_VERSION "5.76.0") # handled by release scripts
 project(Solid VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.64.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.76.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
@@ -16,8 +16,8 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
-set(REQUIRED_QT_VERSION 5.11.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Widgets)
+set(REQUIRED_QT_VERSION 5.12.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)
 if (NOT ANDROID)
   find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
 endif()
@@ -50,6 +50,18 @@
     PURPOSE "Required for the Predicate parser"
 )
 
+find_package(IMobileDevice)
+set_package_properties(IMobileDevice PROPERTIES
+                       TYPE OPTIONAL
+                       PURPOSE "Needed to build the iOS device support backend"
+                      )
+
+find_package(PList)
+set_package_properties(PList PROPERTIES
+                       TYPE OPTIONAL
+                       PURPOSE "Needed to build the iOS device support backend"
+                      )
+
 
 include(ECMPoQmTools)
 
@@ -66,8 +78,9 @@
 # TODO: Remove these
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
+
+add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x060000)
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)
 endif()
@@ -111,17 +124,16 @@
     add_device_backend(fstab)
 
     if (CMAKE_SYSTEM_NAME MATCHES FreeBSD)
-        # FIXME: this should work on more Unix systems
-        option(EXPERIMENTAL_BSDISKS "Use UDisks2/bsdisks backend instead of HAL to manage disk devices" OFF)
-    else ()
-        set(EXPERIMENTAL_BSDISKS FALSE)
-    endif()
-    if(EXPERIMENTAL_BSDISKS)
         add_device_backend(udisks2)
     else()
         add_device_backend(hal)
     endif()
 endif()
+
+if(IMobileDevice_FOUND AND PList_FOUND)
+    add_device_backend(imobile)
+endif()
+
 add_device_backends_cmake()
 
 add_subdirectory(src)
@@ -158,6 +170,4 @@
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )
 
-install(FILES solid.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
