=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: bison,
                cmake (>= 3.5~),
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.76.0~),
                flex,
                graphviz,
-               libqt5sql5-sqlite:native,
+               libimobiledevice-dev,
+               libplist-dev,
+               libqt5sql5-sqlite,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.12.0~),
@@ -18,9 +20,9 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.0
-Homepage: https://invent.kde.org/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
+Homepage: https://projects.kde.org/projects/frameworks/solid
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 Rules-Requires-Root: no
 
 Package: libkf5solid-bin
@@ -69,7 +71,7 @@
 Multi-Arch: same
 Depends: libkf5solid5-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: media-player-info [linux-any]
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
@@ -84,14 +86,12 @@
         libkf5kdelibs4support5 (<< 5.54),
         libkf5kdelibs4support5-bin (<< 5.42),
         libkf5kiofilewidgets5 (<< 5.54),
-        libkf5runner5 (<< 5.54),
+        libkf5runner5 (<< 5.54)
 
 Package: libkf5solid5-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: libkf5solid5 (<< 5.74)
-Replaces: libkf5solid5 (<< 5.74)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
